tigase.db

## Interface Repository

- All Known Subinterfaces:
    AuthRepository, ComponentRepository<Item>, ConfigRepositoryIfc, DataRepository, MsgRepositoryIfc, OfflineMessages.OfflineMsgRepositoryIfc, SeeOtherHostDualIP.DualIPRepository, UserRepository
  All Known Implementing Classes:
    AuthRepositoryImpl, AuthRepositoryMDImpl, AuthRepositoryPool, ClConConfigRepository, ClConDirRepository, ClConSQLRepository, CompConfigRepository, CompDBRepository, CompSQLRepository, ConfigRepository, ConfigSQLRepository, ConfigurationCache, ConfigXMLRepository, DataRepositoryImpl, DataRepositoryPool, DrupalWPAuth, DummyRepository, JDBCMsgRepository, JDBCRepository, LdapAuthProvider, MsgRepository, TaskConfigItemJDBCRepository, TigaseAuth, TigaseCustomAuth, TigaseSPAuth, UserRepoRepository, UserRepositoryMDImpl, UserRepositoryPool, VHostJDBCRepository, XMLRepository

      public interface Repository

  Base interface which should be implemented by every repository to have one common interface
  Author:
    andrzej

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `Repository.Meta` Meta created to add possibility to retrieve informations about implementation of repository (ie. supported database URI)

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initRepository(String resource_uri, Map<String,String> params)` The method is called to initialize the data repository.

- - ### Method Detail

    - #### initRepository

          void initRepository(String resource_uri,
                              Map<String,String> params)
                       throws DBInitException

      The method is called to initialize the data repository. Depending on the implementation all the initialization parameters can be passed either via `resource_uri` parameter as the database connection string or via `params` map if the required repository parameters are more complex or both.
      Parameters:
        `resource_uri` - value in most cases representing the database connection string.
        `params` - is a `Map` with repository properties necessary to initialize and perform all the functions. The initialization parameters are implementation dependent.
      Throws:
        `DBInitException` - if there was an error during repository initialization. Some implementations, though, perform so called lazy initialization so even though there is a problem with the underlying repository it may not be signaled through this method call.

Copyright © 2022 "Tigase, Inc.". All rights reserved.